Module javafx.controls
Package javafx.scene.control.skin

# Class CellSkinBase<C extends Cell>

java.lang.Object
javafx.scene.control.SkinBase<C>
javafx.scene.control.skin.LabeledSkinBase<C>
javafx.scene.control.skin.CellSkinBase<C>

All Implemented Interfaces:
  `Skin<C>`

Direct Known Subclasses:
  `DateCellSkin`, `ListCellSkin`, `TableCellSkinBase`, `TableRowSkinBase`, `TreeCellSkin`

    public class CellSkinBase<C extends Cell>
    extends LabeledSkinBase<C>

Default skin implementation for the `Cell` control, and subclasses such as `ListCell`, `TreeCell`, etc.

Since:
  9
See Also:
  `Cell`

- ## Property Summary

  Properties
  Type | Property | Description
  --- | --- | ---
  `ReadOnlyDoubleProperty` | `cellSize` | The default cell size.

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `CellSkinBase​(C control)` | Creates a new CellSkinBase instance, installing the necessary child nodes into the Control `children` list, as well as the necessary input mappings for handling key, mouse, etc events.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `ReadOnlyDoubleProperty` | `cellSizeProperty()` | The default cell size.
  `double` | `getCellSize()` | Gets the value of the property cellSize.
  `static List<CssMetaData<? extends Styleable,​?>>` | `getClassCssMetaData()` | Returns the CssMetaData associated with this class, which may include the CssMetaData of its superclasses.
  `List<CssMetaData<? extends Styleable,​?>>` | `getCssMetaData()` | This method should delegate to `Node.getClassCssMetaData()` so that a Node's CssMetaData can be accessed without the need for reflection.

  ### Methods inherited from class javafx.scene.control.skin.LabeledSkinBase

  `computeBaselineOffset, computeMaxHeight, computeMaxWidth, computeMinHeight, computeMinWidth, computePrefHeight, computePrefWidth, layoutChildren, layoutLabelInArea, layoutLabelInArea, queryAccessibleAttribute, updateChildren`

  ### Methods inherited from class javafx.scene.control.SkinBase

  `consumeMouseEvents, dispose, executeAccessibleAction, getChildren, getNode, getSkinnable, layoutInArea, layoutInArea, layoutInArea, positionInArea, positionInArea, pseudoClassStateChanged, registerChangeListener, snappedBottomInset, snappedLeftInset, snappedRightInset, snappedTopInset, snapPosition, snapPositionX, snapPositionY, snapSize, snapSizeX, snapSizeY, snapSpace, snapSpaceX, snapSpaceY, unregisterChangeListeners`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Property Details

  - ### cellSize

    public final ReadOnlyDoubleProperty cellSizeProperty
    The default cell size. For vertical ListView or a TreeView or TableView this is the height, for a horizontal ListView this is the width. This is settable from CSS
    See Also:
      `getCellSize()`

- ## Constructor Details

  - ### CellSkinBase

    public CellSkinBase​(C control)
    Creates a new CellSkinBase instance, installing the necessary child nodes into the Control `children` list, as well as the necessary input mappings for handling key, mouse, etc events.
    Parameters:
      `control` - The control that this skin should be installed onto.

- ## Method Details

  - ### getCellSize

    public final double getCellSize()
    Gets the value of the property cellSize.
    Property description:
      The default cell size. For vertical ListView or a TreeView or TableView this is the height, for a horizontal ListView this is the width. This is settable from CSS

  - ### cellSizeProperty

    public final ReadOnlyDoubleProperty cellSizeProperty()
    The default cell size. For vertical ListView or a TreeView or TableView this is the height, for a horizontal ListView this is the width. This is settable from CSS
    See Also:
      `getCellSize()`

  - ### getClassCssMetaData

    public static List<CssMetaData<? extends Styleable,​?>> getClassCssMetaData()
    Returns the CssMetaData associated with this class, which may include the CssMetaData of its superclasses.
    Returns:
      the CssMetaData associated with this class, which may include the CssMetaData of its superclasses

  - ### getCssMetaData

    public List<CssMetaData<? extends Styleable,​?>> getCssMetaData()
    This method should delegate to `Node.getClassCssMetaData()` so that a Node's CssMetaData can be accessed without the need for reflection.
    Overrides:
      `getCssMetaData` in class `SkinBase<C extends Cell>`
    Returns:
      The CssMetaData associated with this node, which may include the CssMetaData of its superclasses.